%define anolis_release 3

%global with_tests 1

%global desc WebOb provides wrappers around the WSGI request environment, and an object to \
help create WSGI responses. The objects map much of the specified behavior of \
HTTP, including header parsing and accessors for other standard parts of the \
environment.


Name:           python-webob
Summary:        WSGI request and response object
Version:        1.8.7
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            https://webob.org
Source0:        %pypi_source WebOb

# On Python 3.9 the threading.Thread.isAlive() was removed in favor of threading.Thread.is_alive()
# See: https://bugs.python.org/issue37804
# https://github.com/Pylons/webob/pull/410
Patch0:         fix-python39-compat.patch
Patch1:         0001-Add-fix-for-open-redirect.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if 0%{?with_tests}
BuildRequires:  python3-pytest
%endif

%description
%{desc}

%package -n python3-webob
Summary:        %{summary}
Provides: python3-webob1.2 = %{version}-%{release}
Obsoletes: python3-webob1.2 < 1.2.3-7

%{?python_provide:%python_provide python3-webob}

%description -n python3-webob
%{desc}

%package -n     python3-webob-doc
Summary:        Documentation files for %{name}
Requires:       python3-webob = %{EVR}
BuildArch:      noarch

%description -n python3-webob-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n WebOb-%{version}
# Disable performance_test.
%{__rm} -f tests/performance_test.py

# Remove an empty unneeded file that is there for scm purposes.
rm docs/_static/.empty

%patch0 -p1

%build
%py3_build

%install
%py3_install

%check
%if 0%{?with_tests}
%pytest
%endif

%files -n python3-webob
%license docs/license.txt
%{python3_sitelib}/webob/
%{python3_sitelib}/WebOb-%{version}-py%{python3_version}.egg-info

%files -n python3-webob-doc
%doc docs/*

%changelog
* Sat Apr 12 2025 yangjinlin01 <yangjinlin01@inspur.com> - 1.8.7-3
- Fix CVE-2024-42353

* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.8.7-2
- Rebuild with python3.11

* Tue Mar 28 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.8.7-1
- Init from upstream
